Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wst.stub
Class BACoordinatorCompletionParticipantManagerStub

    java.lang.Object
      com.arjuna.wst.stub.BACoordinatorCompletionParticipantManagerStub

All Implemented Interfaces:
  BAParticipantManager

public class BACoordinatorCompletionParticipantManagerStub
extends java.lang.Object
implements BAParticipantManager

Constructor Summary
`BACoordinatorCompletionParticipantManagerStub(CoordinatorCompletionParticipantEngine coordinator)`

Method Summary
`void` | `completed()` The participant has completed it works, but wishes to continue in the business activity, so that it will eventually be told when (and how) the activity terminates.
`void` | `error()` An error has occurred during the execution of the protocol that the participant wants to communicate to the coordinator.
`void` | `exit()` The participant has exited the business activity.
`void` | `fault()` Fault.
`void` | `unknown()` An unknown error has occurred that the participant wants to communicate to the coordinator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BACoordinatorCompletionParticipantManagerStub

    public BACoordinatorCompletionParticipantManagerStub(CoordinatorCompletionParticipantEngine coordinator)
                                                  throws java.lang.Exception

Method Detail

### exit

    public void exit()
              throws WrongStateException,
                     UnknownTransactionException,
                     SystemException

  Description copied from interface: `BAParticipantManager`
  The participant has exited the business activity. The participant uses this to inform the coordinator that is has left the activity. It will not be informed when (and how) the business activity terminates.

  Specified by:
    `exit` in interface `BAParticipantManager`
  Throws:
    `WrongStateException`
    `UnknownTransactionException`
    `SystemException`

### completed

    public void completed()
                   throws WrongStateException,
                          UnknownTransactionException,
                          SystemException

  Description copied from interface: `BAParticipantManager`
  The participant has completed it works, but wishes to continue in the business activity, so that it will eventually be told when (and how) the activity terminates. The participant may later be asked to compensate for the work it has done.

  Specified by:
    `completed` in interface `BAParticipantManager`
  Throws:
    `WrongStateException`
    `UnknownTransactionException`
    `SystemException`

### fault

    public void fault()
               throws SystemException

  Description copied from interface: `BAParticipantManager`
  Fault.

  Specified by:
    `fault` in interface `BAParticipantManager`
  Throws:
    `SystemException`

### unknown

    public void unknown()
                 throws SystemException

  Description copied from interface: `BAParticipantManager`
  An unknown error has occurred that the participant wants to communicate to the coordinator.

  Specified by:
    `unknown` in interface `BAParticipantManager`
  Throws:
    `SystemException`

### error

    public void error()
               throws SystemException

  Description copied from interface: `BAParticipantManager`
  An error has occurred during the execution of the protocol that the participant wants to communicate to the coordinator.

  Specified by:
    `error` in interface `BAParticipantManager`
  Throws:
    `SystemException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD